<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf=8">
        <meta name="viewport" content="width=device width">
        <title>Student Results</title>
        <script src="task2.js"></script>
        <link rel="stylesheet" href="stylesheet.css"/>
        <link href='https://fonts.googleapis.com/css?family=Raleway' rel='stylesheet'>
    </head>
    <body>
        <table class="table" style="width:100%">
            <tr class="table__row table__row--name">
              <th class="table__header"></th>
              <th class="table__header">ნეო</th>
              <th class="table__header">ინდიანა</th>
              <th class="table__header">სევერუსა</th>
              <th class="table__header">ალადინი</th>
            </tr>
            <tr class="table__row table__row--subject1">
              <td class="table__data" >მჭევრმეტყველება</td>
              <td class="table__data" id="subject1__neo"></td>
              <td class="table__data" id="subject1__indiana"></td>
              <td class="table__data" id="subject1__severus"></td>
              <td class="table__data" id="subject1__aladdin"></td>
            </tr>
            <tr class="table__row table__row--subject2">
              <td class="table__data" >ჭრა-კერვა</td>
              <td class="table__data" id="subject2__neo"></td>
              <td class="table__data" id="subject2__indiana"></td>
              <td class="table__data" id="subject2__severus"></td>
              <td class="table__data" id="subject2__aladdin"></td>
            </tr>
            <tr class="table__row table__row--subject3">
                <td class="table__data" >პარაფსიქოლოგია</td>
                <td class="table__data" id="subject3__neo"></td>
                <td class="table__data" id="subject3__indiana"></td>
                <td class="table__data" id="subject3__severus"></td>
                <td class="table__data" id="subject3__aladdin"></td>
            </tr>
            <tr class="table__row table__row--subject4">
                <td class="table__data" >ვალენტობათმცოდნეობა</td>
                <td class="table__data" id="subject4__neo"></td>
                <td class="table__data" id="subject4__indiana"></td>
                <td class="table__data" id="subject4__severus"></td>
                <td class="table__data" id="subject4__aladdin"></td>
            </tr>
            <tr class="table__row table__row--points">
                <td class="table__data" >ქულების ჯამი</td>
                <td class="table__data" id="points__neo"></td>
                <td class="table__data" id="points__indiana"></td>
                <td class="table__data" id="points__severus"></td>
                <td class="table__data" id="points__aladdin"></td>
            </tr>
            <tr class="table__row table__row--avg">
                <td class="table__data" >ქულების საშუალო</td>
                <td class="table__data" id="avg__neo"></td>
                <td class="table__data" id="avg__indiana"></td>
                <td class="table__data" id="avg__severus"></td>
                <td class="table__data" id="avg__aladdin"></td>
            </tr>
            <tr class="table__row table__row--percentage">
                <td class="table__data" >საშუალო ქულების პროცენტულობა</td>
                <td class="table__data" id="percentage__neo"></td>
                <td class="table__data" id="percentage__indiana"></td>
                <td class="table__data" id="percentage__severus"></td>
                <td class="table__data" id="percentage__aladdin"></td>
            </tr>
            <tr class="table__row table__row--best">
                <td class="table__data" >საუკეთესო მოსწავლე</td>
                <td class="table__data">✕</td>
                <td class="table__data">✕</td>
                <td class="table__data table__data--checked">✓</td>
                <td class="table__data">✕</td>
            </tr>
            <tr class="table__row table__row--gpa">
                <td class="table__data" >GPA</td>
                <td class="table__data" id="gpa__neo"></td>
                <td class="table__data" id="gpa__indiana"></td>
                <td class="table__data" id="gpa__severus"></td>
                <td class="table__data" id="gpa__aladdin"></td>
            </tr>
          </table>

          <script>
            document.getElementById("subject1__neo").innerHTML = neoFirstSubject;
            document.getElementById("subject1__indiana").innerHTML = indianaFirstSubject;
            document.getElementById("subject1__severus").innerHTML = severusFirstSubject;
            document.getElementById("subject1__aladdin").innerHTML = aladdinFirstSubject;

            document.getElementById("subject2__neo").innerHTML = neoSecondSubject;
            document.getElementById("subject2__indiana").innerHTML = indianaSecondSubject;
            document.getElementById("subject2__severus").innerHTML = severusSecondSubject;
            document.getElementById("subject2__aladdin").innerHTML = aladdinSecondSubject;

            document.getElementById("subject3__neo").innerHTML = neoThirdSubject;
            document.getElementById("subject3__indiana").innerHTML = indianaThirdSubject;
            document.getElementById("subject3__severus").innerHTML = severusThirdSubject;
            document.getElementById("subject3__aladdin").innerHTML = aladdinThirdSubject;

            document.getElementById("subject4__neo").innerHTML = neoFourthSubject;
            document.getElementById("subject4__indiana").innerHTML = indianaFourthSubject;
            document.getElementById("subject4__severus").innerHTML = severusFourthSubject;
            document.getElementById("subject4__aladdin").innerHTML = aladdinFourthSubject;

            document.getElementById("points__neo").innerHTML = neoTotalPoints;
            document.getElementById("points__indiana").innerHTML = indianaTotalPoints;
            document.getElementById("points__severus").innerHTML = severusTotalPoints;
            document.getElementById("points__aladdin").innerHTML = aladdinTotalPoints;

            document.getElementById("avg__neo").innerHTML = neoTotalAverage;
            document.getElementById("avg__indiana").innerHTML = indianaTotalAverage;
            document.getElementById("avg__severus").innerHTML = severusTotalAverage;
            document.getElementById("avg__aladdin").innerHTML = aladdinTotalAverage;

            document.getElementById("percentage__neo").innerHTML = neoAvgPercentage + " %";
            document.getElementById("percentage__indiana").innerHTML = indianaAvgPercentage + " %";
            document.getElementById("percentage__severus").innerHTML = severusAvgPercentage + " %";
            document.getElementById("percentage__aladdin").innerHTML = aladdinAvgPercentage + " %";

            document.getElementById("gpa__neo").innerHTML = neoFinalGPA;
            document.getElementById("gpa__indiana").innerHTML = indianaFinalGPA;
            document.getElementById("gpa__severus").innerHTML = severusFinalGPA;
            document.getElementById("gpa__aladdin").innerHTML = aladdinFinalGPA;
        </script>
    </body>
</html>